Creates or removes a manual savings adjustment (lock) for a meter and bill
Use this endpoint to manually override the calculated savings for a specific meter/bill.
When Locked=true, sets custom cost and use avoidance values. When Locked=false, removes
the manual override and reprocesses savings for that bill. A note is required for audit trail.
Requires Manually Adjust Savings Manage permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| meterId | Unique numeric identifier of the meter | integer (int32) | Required |
| billId | Unique numeric identifier of the bill | integer (int32) | Required |
Request Body
ManualAdjustmentRequest
| Property | Description | Type |
|---|---|---|
| batccCost | The manually adjusted Baseline Adjusted to Current Conditions (BATCC) cost Required when locked is set to True, case sensitive. | number (double) |
| batccNativeUse | The manually adjusted Baseline Adjusted to Current Conditions (BATCC) native use Required when locked is set to True, case sensitive. | number (double) |
| billMtrNote | The manual adjustment note explaining the reason for the adjustment Required | string |
| locked | Indicates whether or not the values in a savings record are locked (this is not changed by future runs of the savings processor) Set to true when a manual adjustment is being created. Set to false when a manual adjustment is being removed. If locked is set to false, all other values are ignored and will be set by the savings processor. Required | boolean |
Example Request Body
{ "batccCost": 1.0, "batccNativeUse": 1.0, "billMtrNote": "string", "locked": false
}
Responses
204
No Content
The request succeeded. No content is returned in the response body.